rangeLimit {oce} | R Documentation

## Substitute NA for data outside a range

### Description

Substitute NA for data outside a range, e.g. to remove wild spikes in data.

### Usage

    rangeLimit(x, min, max)

### Arguments

`x` | vector of values
`min` | minimum acceptable value. If not supplied, and if `max` is also not supplied, a `min` of the 0.5 percentile will be used.
`max` | maximum acceptable value. If not supplied, and if `min` is also not supplied, a `min` of the 0.995 percentile will be used.

### Author(s)

Dan Kelley

### Examples

    ten.to.twenty <- rangeLimit(1:100, 10, 20)

[Package oce version 0.9-18 Index]